Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.tabular
Class TabularValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              things.data.tabular.TabularException
                  things.data.tabular.TabularValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class TabularValidationException

extends TabularException

A tabular validation exception.

NOTE: This package was never completed and isn't used anywhere.

Version:
  1.0

  Version History

      EPG - Initial - 10 NOV 04

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Field Summary
`static int` | `NO_LINE_NUMBER`

Constructor Summary
`TabularValidationException()` Default constructor.
`TabularValidationException(java.lang.String message)`
`TabularValidationException(java.lang.String message, int lineNumber)`
`TabularValidationException(java.lang.String message, java.lang.Throwable cause)`
`TabularValidationException(java.lang.Throwable cause)`

Method Summary
`int` | `getLineNumber()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_LINE_NUMBER

    public static final int NO_LINE_NUMBER

See Also:
  Constant Field Values

Constructor Detail

### TabularValidationException

    public TabularValidationException()

  Default constructor.

### TabularValidationException

    public TabularValidationException(java.lang.String message)

### TabularValidationException

    public TabularValidationException(java.lang.String message,
                                      int lineNumber)

### TabularValidationException

    public TabularValidationException(java.lang.String message,
                                      java.lang.Throwable cause)

### TabularValidationException

    public TabularValidationException(java.lang.Throwable cause)

Method Detail

### getLineNumber

    public int getLineNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.